Skip to main content
GET
/
trends
/
citations
Get Citations Trend
curl --request GET \
  --url https://api.geogen.io/v1/trends/citations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.geogen.io/v1/trends/citations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.geogen.io/v1/trends/citations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "day": "<string>"
    }
  ],
  "entities": [
    {
      "entityId": "<string>",
      "entityUuid": "<string>",
      "name": "<string>",
      "domain": "<string>",
      "totalCitations": 123
    }
  ],
  "period": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Format: Bearer wsk_your_api_key

Query Parameters

entityId
string
required

Entity ID

period
enum<string>

Time period. Defaults to 30d if not specified.

Available options:
7d,
14d,
30d
startDate
string<date>

Custom start date (YYYY-MM-DD). Use with endDate instead of period.

endDate
string<date>

Custom end date (YYYY-MM-DD). Use with startDate instead of period.

models
string

Comma-separated model UUIDs

tags
string

Comma-separated tag IDs to filter prompts by

promptIds
string

Comma-separated prompt IDs to filter by specific prompts

topN
integer
default:10

Number of top cited domains to include in the trend. Defaults to 10, max 20.

Required range: 1 <= x <= 20

Response

Successful response

success
boolean
data
object[]

Array of daily data points. Each object has a day field (YYYY-MM-DD) plus a key for each top domain name with its citation count for that day.

entities
object[]

Metadata for each top cited domain included in the trend data.

period
string

The period used for the query